package com.ruoyi.warehouse.service;

import java.util.List;
import com.ruoyi.warehouse.domain.InRecord;

public interface IInRecordService
{
    public List<InRecord> selectInRecordList(InRecord inRecord);
    public InRecord selectInRecordById(Long id);
    public boolean checkInNoUnique(InRecord inRecord);
    public int insertInRecord(InRecord inRecord);
    public int updateInRecord(InRecord inRecord);
    public int deleteInRecordByIds(Long[] ids);
    public int confirmInRecord(Long id, String username);
}
